//Help software V 1.0
//Sophie Spaan, 2022
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main(int argc, char **argv) {
    //Version data
    if (argc >= 2 && !strcmp(argv[1], "--v")) {
        printf("HELP  V1.0\n");
        return 0;
    }

    
    char borderWall[] = "+-------+------------------------------------------------------------------------+\n";
    printf("Help Guide\n");

    printf("General commands\n");
    printf(borderWall);
    printf("|blsc   | Launch Bliss Integrated Code                                           |\n");
    printf("|cls    | Clear terminal                                                         |\n");
    printf("|echo=  | Echoes text input after =                                              |\n");
    printf("|edit   | Launch BLEdit software                                                 |\n");
    printf("|exec=  | Run system command after =                                             |\n");
    printf("|exit   | Ends BLISS session                                                     |\n");
    printf("|help   | Displays this guide                                                    |\n");
    printf("|info   | Displays current build information                                     |\n");
    printf("|mdir=  | Make directory at filepath after =                                     |\n");
    printf(borderWall);

    printf("\n\nCompiling Commands\n");
    printf(borderWall);
    printf("|rcall  | Recompile all standard BLISS software                                  |\n");
    printf("|rcedit | Recompile BLEdit                                                       |\n");
    printf(borderWall);
    printf("\n");

    return 0;
}
