//Profile Handler
//Sophie Spaan, 2022
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <sys/stat.h>
#include <direct.h>

#include <ncursesw\curses.h>


int main(int argc, char **argv) {
    //Version data
    if (argc >= 2 && !strcmp(argv[1], "--v")) {
        printf("PROF  V1.0\n");
        return 0;
    }
    
    char homeDirectory[127] = ".\\user\\";
    char sysCommand[254] = "bliss --";
    char* profileName = &argv[1][2];
    char prompts[8];
    int lineCounter = 0;
    int loginTrue = 0;


    initscr();
    resize_term(50,80);
    wrefresh(stdscr);

    strcat(homeDirectory, profileName);
    
    struct stat sb;
    while(loginTrue!=1) {
        if (stat(homeDirectory, &sb) == 0 && S_ISDIR(sb.st_mode)) {
            mvprintw(lineCounter, 0, "%s", "You exist!");
            loginTrue = 1;
            lineCounter++;
            strcat(sysCommand, profileName);
            //It crashes here, and I did print out the sysCommand AFTER I strcatted it with profileName sooooo
            //I think its sys/stat.h causing issues and I need sys/stat.h to test for the folder existing.
            system(sysCommand);
            //relaunch bliss with the --userdirectory flag to launch it in user mode after this point
        }
        else {
            mvprintw(lineCounter, 0, "%s", "You don't exist, would you like to? (y/n)\n");
            lineCounter++;
            getstr(prompts);
            if(!strcmp(prompts, "y")) {
                mvprintw(lineCounter, 0, "%s", "ok!");
                lineCounter++;
                mvprintw(lineCounter, 0, "%s", homeDirectory);
                _mkdir(homeDirectory);
            }
        }   
    }

    //remove in final - just here to lock you in
    getstr(prompts);
    endwin();
    return 0;
}